# UIToggleGroupElementUpdate

***

The parameters for updating a toggle group element.

See [UIToggleGroupElement](/js-sdk-api-reference/ui/uitogglegroupelement.md) for more details.

## Properties

### type

> **type**: `"ToggleGroup"`

***

### id

> **id**: `string`

The ID of the element.

***

### alignment?

> `optional` **alignment**: `"start"` | `"end"`

The alignment of the toggle group.

#### Default Value

`"start"`

***

### value?

> `optional` **value**: `string`\[] = `valueSchema`

The value of the toggle group.

#### Default Value

`[]`

***

### options?

> `optional` **options**: [`UIControlElementOption`](/js-sdk-api-reference/ui/uicontrolelementoption.md)\[]

The options to display in the toggle group.

***

### onChange()?

> `optional` **onChange**: (`args`: { `value`: `string`\[]; `id`: `string`; }) => `void`

The function to call when the value of the toggle group changes.

#### Parameters

| Parameter    | Type                                      | Description                           |
| ------------ | ----------------------------------------- | ------------------------------------- |
| `args`       | { `value`: `string`\[]; `id`: `string`; } | The arguments passed to the function. |
| `args.value` | `string`\[]                               | Array of the selected values.         |
| `args.id`    | `string`                                  | The id of the toggle group element.   |

#### Returns

`void`

***

### onCreate()?

> `optional` **onCreate**: (`args`: { `id`: `string`; }) => `void`

A function to call when the element is created.

#### Parameters

| Parameter | Type                | Description                           |
| --------- | ------------------- | ------------------------------------- |
| `args`    | { `id`: `string`; } | The arguments passed to the function. |
| `args.id` | `string`            | The id of the element.                |

#### Returns

`void`

***

### onDestroy()?

> `optional` **onDestroy**: (`args`: { `id`: `string`; }) => `void`

A function to call when the element is destroyed.

#### Parameters

| Parameter | Type                | Description                           |
| --------- | ------------------- | ------------------------------------- |
| `args`    | { `id`: `string`; } | The arguments passed to the function. |
| `args.id` | `string`            | The id of the element.                |

#### Returns

`void`

***

### label?

> `optional` **label**: `string`

Label text to display above the element and used for screen readers.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.felt.com/js-sdk-api-reference/ui/uitogglegroupelementupdate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
